Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Class GraphImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.gui.GraphImpl

public class GraphImpl
extends BaseImpl
implements ArchivedGeometryWidget, ArchivedGeometryWidgetS, GraphS, Graph

A time series graph tool.. A time series graph tool, based on BLT's graph widget. Graph currently implements just a basic graph with multiple datasets, but should eventually support scaling and scrolling. For each Graph you create one or many GraphElements, one per dataset to plot. GraphElements can be configured for appearance, and data can be added to the element to draw.

Constructor Summary
`GraphImpl()`
`GraphImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`GraphImpl(Zone aZone, java.lang.String name)`

Methods implemented by this class for interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods implemented by this class for interface swarm.gui.Graph
`createElement, setAxisLabelsX$Y, setRangesXMin$Max, setRangesXMin$Max$YMin$Max, setRangesYMin$Max, setScaleModeX$Y, setTitle`

Methods implemented by this class for interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphImpl

    public GraphImpl()

### GraphImpl

    public GraphImpl(Zone aZone,
                     java.lang.String name)

### GraphImpl

    public GraphImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD